<?php

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity
 * @ORM\Table(name="din_asset_benchmark")
 */
class DinAssetBenchmark
{
    /**
     * @ORM\Id()
     * @ORM\GeneratedValue()
     * @ORM\Column(type="integer")
     */
    protected $id;

    /**
     * @ORM\ManyToOne(targetEntity="DinAsset", inversedBy="tasks")
     * @ORM\JoinColumn(name="din_asset_id", referencedColumnName="id", onDelete="SET NULL")
     */
    protected $dinAsset;

    /**
     * @ORM\Column(type="string", nullable=true)
     */
    protected $component;

    /**
     * @ORM\Column(type="string", nullable=true)
     */
    protected $type;

    /**
     * @ORM\Column(type="string", nullable=true)
     */
    protected $bandwidth;

    /**
     * @ORM\Column(type="decimal", precision=10, scale=2))
     */
    protected $deviation;

    /**
     * @ORM\Column(type="decimal", precision=10, scale=2))
     */
    protected $average_costs;

    /**
     * @ORM\Column(type="decimal", precision=10, scale=2))
     */
    protected $min_average_costs;

    /**
     * @ORM\Column(type="decimal", precision=10, scale=2))
     */
    protected $max_average_costs;

    /**
     * @return mixed
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @return mixed
     */
    public function getDinAsset()
    {
        return $this->dinAsset;
    }

    /**
     * @param mixed $dinAsset
     */
    public function setDinAsset($dinAsset): void
    {
        $this->dinAsset = $dinAsset;
    }

    /**
     * @return mixed
     */
    public function getComponent()
    {
        return $this->component;
    }

    /**
     * @param mixed $component
     */
    public function setComponent($component): void
    {
        $this->component = $component;
    }

    /**
     * @return mixed
     */
    public function getType()
    {
        return $this->type;
    }

    /**
     * @param mixed $type
     */
    public function setType($type): void
    {
        $this->type = $type;
    }

    /**
     * @return mixed
     */
    public function getBandwidth()
    {
        return $this->bandwidth;
    }

    /**
     * @param mixed $bandwidth
     */
    public function setBandwidth($bandwidth): void
    {
        $this->bandwidth = $bandwidth;
    }

    /**
     * @return mixed
     */
    public function getDeviation()
    {
        return $this->deviation;
    }

    /**
     * @param mixed $deviation
     */
    public function setDeviation($deviation): void
    {
        $this->deviation = $deviation;
    }

    /**
     * @return mixed
     */
    public function getAverageCosts()
    {
        return $this->average_costs;
    }

    /**
     * @param mixed $average_costs
     */
    public function setAverageCosts($average_costs): void
    {
        $this->average_costs = $average_costs;
    }

    /**
     * @return mixed
     */
    public function getMinAverageCosts()
    {
        return $this->min_average_costs;
    }

    /**
     * @param mixed $min_average_costs
     */
    public function setMinAverageCosts($min_average_costs): void
    {
        $this->min_average_costs = $min_average_costs;
    }

    /**
     * @return mixed
     */
    public function getMaxAverageCosts()
    {
        return $this->max_average_costs;
    }

    /**
     * @param mixed $max_average_costs
     */
    public function setMaxAverageCosts($max_average_costs): void
    {
        $this->max_average_costs = $max_average_costs;
    }


}
